Subject: Re: bug#46151: 28.0.50; Set revert-buffer-function in shell command output buffers

From: Michael Welsh Duggan <[email-masked]>
Date: Sun, 31 Jan 2021 11:07:58 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> Michael Welsh Duggan <[email-masked]> writes:
>
>>> To avoid all possible conflicts, this looks harmless: 'C-c g'.
>>
>> Except key sequences consisting of `C-c' followed by a letter are
>> reserved for user-defined bindings.
>
> Indeed.
>
> This reminds me that I've often found it odd that there's no global
> binding for `revert-buffer' -- I think there should be, because it's
> such a useful command.
>
> Sean suggested `C-c C-r', which is nicely mnemonic, and is natural as a
> non-complicated alternative to `C-c C-f' when trying to reload a file
> (since `C-c C-f' has a lot of annoying DWIM stuff going on).

I've had `C-c r' as (revert-buffer t t) in my personal init file for
years.  (So I obviously agree with the mnemonic.)

-- 
Michael Welsh Duggan
([email-masked])